Si vous avez une erreur de ce type au boot de votre application rails, il faut changer explicitement le moteur utilisé dans le boot.rb Bundler charge Psych comme moteur YAML par défaut et ce dernier a des soucis avec rails 3.x

require 'yaml'
YAML::ENGINE.yamler= 'syck'